#
# spec file for package python-tvdb_api
#
# Copyright (c) 2017 Packman Team <packman@links2linux.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.links2linux.org/
#


%define modname tvdb_api
Name:           python-tvdb_api
Version:        1.10
Release:        1.2
Summary:        Python module to access the API from thetvdb.com
# The UnLicense (https://unlicense.org)
License:        SUSE-Permissive
Group:          Productivity/Multimedia/Other
Url:            https://github.com/dbr/tvdb_api/tree/master
Source0:        https://files.pythonhosted.org/packages/source/t/%{modname}/%{modname}-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%py_requires

%description
tvdb_api is an easy to use interface to thetvdb.com via python

%prep
%setup -q -n %{modname}-%{version}
for file in {tvdb_cache,tvdb_api,tvdb_ui,tvdb_exceptions}
do
    sed -i "1d" $file.py
done

%build
python setup.py build

%install
python setup.py install --root=%{buildroot} --prefix=%{_prefix}

%files
%defattr(-,root,root)
%doc UNLICENSE readme.md
%{python_sitelib}/tvdb_*.py*
%{python_sitelib}/%{modname}-%{version}-py%{python_version}.egg-info

%changelog
* Fri Apr 21 2017 aloisio@gmx.com
- Update to version 1.10
- Spec cleanup
* Mon Feb  4 2013 hvogel@opensuse.org
- Update to version 1.8.2
* Wed May  5 2010 henne@links2linux.de
- Update to version 1.4
* Tue Nov 17 2009 henne@links2linux.de
- Initial Package, Version 1.0
